# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-openupload
%define version 0.1
%define release 11
Summary: sme server integration of openupload
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://openupload.sourceforge.net/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-openupload-0.1-session_save_path.patch
Patch2: smeserver-openupload-0.1-prop_alias_on_primary.patch
Patch3: smeserver-openupload-0.1-support_lemonldap_auth.patch
Patch4: smeserver-openupload-0.1-fix_ldap_auth_config.patch
Patch5: smeserver-openupload-0.1-make_ldap_the_default_auth.patch
Patch6: smeserver-openupload-0.1-dont_rewrite_if_alias_is_disabled.patch
Patch7: smeserver-openupload-0.1-add_login_field.patch
Patch8: smeserver-openupload-0.1-fix_defaults_db.patch
Patch9:	smeserver-openupload-0.1-remove_default_auth.patch
Patch10: smeserver-openupload-0.1-fix_public_access.patch

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base >= 5.2.0-56
Requires: openupload
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of openupload.
OpenUpload is an open source application to share files over
the internet (like MegaUpload or RapidShare for example)

%changelog
* Wed Oct 19 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-11.sme
- Fix public access property handling

* Thu Jul 21 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-10.sme
- Remove DB fragment for authentication

* Mon Jul 11 2011 Daniel Berteaud <daniel@firrewall-services.com> 0.1-9
- Fix accounts defaults fragments location

* Wed May 04 2011 Daniel B. <daniel@firewall-services.com> 0.1-8
- Requires e-smith-base >= 5.2.0-56

* Thu Feb 17 2011 Daniel B. <daniel@firewall-services.com> 0.1-7
- Add default login field for httpldap auth

* Mon Jan 31 2011 Daniel B. <daniel@firewall-services.com> 0.1-6
- Fix templates for LDAP auth
- LDAP is now the default auth
- Don't add useless rewriterules in apache if alias is disabled
- Stop disabling openupload on rpm removal

* Wed Jan 05 2011 Daniel B. <daniel@firewall-services.com> 0.1-5
- Add AliasOnPrimary prop
- Support LemonLDAP auth

* Tue Dec 14 2010  Daniel B. <daniel@firewall-services.com> 0.1-4
- Revert previous change

* Tue Nov 23 2010 Daniel B. <daniel@firewall-services.com> 0.1-3
- Change owner and group from apache to www

* Thu Mar 11 2010 Daniel B. <daniel@firewall-services.com> 0.1-2
- put session files in /var/lib/openupload/tmp to prevent conflicts

* Tue Mar 09 2010 Daniel B. <daniel@firewall-services.com> 0.1-1
- initial release

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	> %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

